SYSTEMD-MOUNT(1)

BEZEICHNUNG
systemd-mount, systemd-umount - Flüchtige Einhänge- oder automatische Einhängepunkte etablieren und zerstören

ÜBERSICHT

systemd-mount [OPTIONEN…] WAS [WO]

systemd-mount [OPTIONEN…] --list

systemd-mount [OPTIONEN…] --umount WAS|WO…

BESCHREIBUNG

systemd-mount kann zum Erstellen und Starten einer flüchtigen .mount- oder .automount-Unit des Dateisystems WAS an dem Einhängepunkt WO verwandt werden.

Auf viele Arten ist systemd-mount ähnlich zum dem systemnahen Befehl mount(8), allerdings statt die Einhängeaktion direkt und soft auszuführen plant systemd-mount sie in die Auftragswarteschlange des Systemverwalters ein, so dass dieser weitere Abhängigkeiten (wie Elterneinhängungen, oder einen vorher auszuführendes Dateisystemprüfprogramm) hereinziehen kann und die Automount-Logik verwenden kann.

Der Befehl akzeptiert entweder ein oder zwei Argumente. Falls nur ein Argument festgelegt ist, sollte dieses auf ein Blockgerät oder eine reguläre Datei, die ein Dateisystem enthält (z.B. »/dev/sdb1« oder »/pfad/zum/Platten.img«), verweisen. Falls es ein Blockgerät ist, dann wird dies auf eine Bezeichnung und andere Metadaten untersucht und in ein Verzeichnis eingehängt, dessen Namen aus dessen Bezeichnung erstellt wird. In diesem Modus muss das Blockgerät zum Zeitpunkt des Aufrufs des Befehls existieren, so dass es untersucht werden kann. Falls herausgefunden wird, dass es sich um ein mobiles Blockgerät handelt (z.B. einen USB-Stick) wird ein Automount-Einhängepunkt statt eines regulären Einhängepunktes erstellt (d.h. die Option --automount= impliziert, siehe unten).

Falls zwei Argumente festgelegt werden, zeigt das erste die Einhängequelle (das WAS) an und die zweite zeigt den Pfad, an dem eingehängt werden soll (das WO) an. In diesem Modus wird keine Untersuchung der Quelle versucht und der hinterliegende Geräteknoten muss noch nicht existieren. Wird dieser Modus allerdings mit --discover kombiniert, wird die Geräteknotenuntersuchung auf zusätzliche Metadaten aktiviert und – ähnlich des oben beschriebenen Falles mit einem Argument – muss das festgelegte Gerät zum Zeitpunkt des Aufrufs des Befehls existieren.

Verwenden Sie den Befehl --list, um eine knappe Tabelle aller lokalen, bekannten Blockgeräte mit Dateisystemen, die mit diesem Befehl eingehängt werden können, anzuzeigen.

systemd-umount kann zum Aushängen eines (Automount-)Einhängepunkts verwandt werden. Dies ist zu systemd-mount --umount identisch.

OPTIONEN

Die folgenden Optionen werden verstanden:

--no-block
    Nicht synchron auf die Beendigung der angeforderten Aktion warten. Falls dies nicht festgelegt ist, wird der Auftrag überprüft, in die Warteschlange gestellt und durch systemd-mount gewartet, bis die Einhänge- oder Automount-Unit fertig gestartet ist. Durch Übergabe dieses Arguments wird er nur überprüft und in die Warteschlange eingereiht.

--no-pager
    Die Ausgabe nicht an einen Pager weiterleiten.

--no-ask-password
    Den Benutzer nicht für Authentifizierung für privilegierte Aktionen befragen.

--quiet, -q
    Zusätzliche informative Ausgabe bei der Ausführung unterdrücken.

--discover
    Untersuchen der Einhängequelle aktivieren. Dieser Schalter wird impliziert, falls auf der Befehlszeile ein einzelnes Argument festgelegt wird. Falls übergeben, werden zusätzliche Metadaten aus dem Gerät gelesen, um die zu erstellende Unit zu verbessern. Es wird beispielsweise eine beschreibende Zeichenkette für flüchtige Units aus der Dateisystemkennung und dem Gerätemodell erstellt. Falls ein mobiles Blockgerät (z.B. ein USB-Stick) erkannt wird, wird eine Automount-Unit statt einer regulären Einhänge-Unit erstellt, mit einer kurzen Leerlaufzeitüberschreitung, um sicherzustellen, dass das Dateisystem in einen sauberen Zustand nach jedem Zugriff abgelegt wird.

--type=, -t
    Legt den einzuhängenden Dateisystemtyp fest (z.B. »vfat«, »ext4« …). Falls fehlend (oder auf »auto« gesetzt) wird das Dateisystem automatisch bestimmt.

--options=, -o
    Zusätzliche Einhängeoptionen für den Einhängepunkt.

--owner=BENUTZER
    Setzt den festgelegten Benutzer BENUTZER als Eigentümer des eingehängten Dateisystems fest. Dies erfolgt durch Anhängen der Optionen uid= und gid= an die Liste der Einhängeoptionen. Nur bestimmte Dateisysteme unterstützen diese Option.

--fsck=
    Akzeptiert ein logisches Argument, standardmäßig »on«. Steuert, ob direkt vor der Einhängeaktion ein Dateisystemprüfprogramm ausgeführt werden soll. Im Automount-Fall (siehe --automount= unten) wird die Prüfung zum Zeitpunkt des ersten Zugriffs auf das Gerät durchgeführt, wodurch der Zugriff leicht verzögert werden könnte.

--description=
    Stellt eine Beschreibung für die Einhänge- oder Automount-Unit bereit. Siehe Description= in systemd.unit(5).

--property=, -p
    Setzt eine Unit-Eigenschaft für den erstellten Einhängepunkt. Dies akzeptiert eine Zuweisung im gleichen Format wie der Befehl set-property von systemctl(1).

--automount=
    Akzeptiert ein logisches Argument. Steuert, ob ein Automount- oder ein regulärer Einhängepunkt erstellt werden soll. Falls wahr wird ein Automount-Einhängepunkt erstellt, der beim ersten Zugriff mit dem tatsächlichen Dateisystem hinterlegt wird. Falls falsch, wird ein reiner Einhängepunkt erstellt, der sofort von dem tatsächlichen Dateisystem hinterlegt wird. Automount-Einhängepunkte haben den Vorteil, dass das Dateisystem augehängt und damit in einem sauberen Zustand bleibt, bis erstmalig darauf zugegriffen wird. Im Automount-Modus kann der Schalter --timeout-idle-sec= (siehe unten) verwandt werden, um sicherzustellen, dass der Einhängepunkt automatisch nach dem letzten Zugriff und dem Ablauf einer Leerlaufzeit ausgehängt wird.

    Falls dieser Schalter nicht festgelegt wird, ist er standardmäßig falsch. Falls nicht angegeben und --discover verwandt wird (oder nur ein einzelnes Argument übergeben wird, wodurch --discover impliziert wird, siehe oben) und das Dateisystemblockgerät als mobil erkannt wird, wird er auf wahr gesetzt, um die Chance zu erhöhen, dass das Dateisystem in einem kompletten sauberen Zustand ist, wenn das Gerät plötzlich abgezogen wird.

-A
    Äquivalent zu --automount=yes.

--timeout-idle-sec=
    Akzeptiert einen Zeitwert, der die Leerlaufzeitüberschreitung im Automount-Modus steuert. Falls auf die Vorgabe »infinity« gesetzt, werden keine automatischen Aushängungen erfolgen. Andernfalls wird das hinter dem Automount-Einhängepunkt liegende Dateisystem nach dem letzten Zugriff und dem Ablauf der Leerlaufzeitüberschreitung getrennt. Siehe systemd.time(7) für Details über die unterstützte Zeitsyntax. Diese Option hat keinen Effekt, falls nur reguläre Einhängungen etabliert werden und Automounting nicht verwandt wird.

    Beachten Sie, dass bei der Verwendung von --discover (oder der Übergabe nur eines einzelnen Arguments, womit --discover impliziert wird, siehe oben) und der Erkennung des Systemblockgerätes als mobiles Medium --timeout-idle-sec=1s impliziert ist.

--automount-property=
    Ähnlich zu --property=, wendet aber zusätzliche Eigenschaften auf die erstellte Automount-Unit statt der Einhänge-Unit an.

--bind-device=
    Akzeptiert ein logisches Argument, standardmäßig »off«. Diese Option ist nur im Automount-Modus effektiv und steuert, ob die Automount-Unit an die Lebensdauer des zugrundeliegenden Gerätes gebunden werden soll. Falls aktiviert wird der Automount-Einhängepunkt automatisch entfernt, wenn das zugrundeliegende Gerät verschwindet. Falls deaktiviert, bleibt der Automount-Einhängepunkt vorhanden und nachfolgende Zugriff blockieren, bis das zugrundeliegende Gerät wieder eingesteckt wird. Diese Option hat nur im Falle von Geräteeinhängungen Wirkung, d.h. keine bei Netzwerk- oder Einhängungen virtueller Dateisysteme.

    Beachten Sie, dass diese Option impliziert wird, falls --discover verwandt (oder nur ein einzelnes Argument übergeben wird, wodurch --discover impliziert wird, siehe oben) und das Dateisystemblockgerät als mobil erkannt wird.

--list
    Statt einen Einhänge- oder Automount-Einhängepunkt zu etablieren, wird eine knappe Liste der Blockgeräte, zusammen mit nützlichen Metadaten wie Kennungen usw. ausgegeben, die ein Dateisystem enthalten, das mit »systemd-mount« einhängt werden könnte.

-u, --umount
    Stoppt die einem festgelegten Einhängepunkt WO oder Gerät WAS entsprechenden Einhänge- oder Automount-Einhängepunkte. systemd-mount mit dieser Option oder systemd-umount kann mehrere Argumente akzeptieren, die Einhängepunkte, Geräte, /etc/fstab-artige Knotennamen oder zugrundeliegende Dateien, die Loop-Geräten entsprechen, wie systemd-mount --umount /Pfad/zur/Einhängung /dev/sda1 UUID=xxxxxx-xxxx LABEL=xxxxx /Pfad/zur/Platte.img sein können. Beachten Sie, dass nur absolute Pfade zu Einhängepunkten unterstützt werden, wenn -H oder -M festgelegt ist.

-G, --collect
    Unload the transient unit after it completed, even if it failed. Normally, without this option, all mount units that mount and failed are kept in memory until the user explicitly resets their failure state with systemctl reset-failed or an equivalent command. On the other hand, units that stopped successfully are unloaded immediately. If this option is turned on the "garbage collection" of units is more aggressive, and unloads units regardless if they exited successfully or failed. This option is a shortcut for --property=CollectMode=inactive-or-failed, see the explanation for CollectMode= in systemd.unit(5) for further information.

--user
    Spricht zu dem Dienste-Manager des aufrufenden Benutzers statt zu dem Dienste-Manager des Systems.

--system
    Spricht zum Dienste-Manager des Systems. Dies ist die implizite Vorgabe.

-H, --host=
    Führt die Aktion aus der Ferne aus. Geben Sie den Rechnernamen oder einen Benutzernamen und Rechnernamen (getrennt durch »@«) an, zu dem verbunden werden soll. Dem Rechnernamen darf optional ein Container-Name angehängt werden, getrennt durch »:«, womit direkt zu einem bestimmten Container auf dem angegebenen Rechner verbunden wird. Dies verwendet SSH, um mit der Maschinen-Manager-Instanz auf dem Rechner in der Ferne zu sprechen. Container-Namen dürfen mit machinectl -H RECHNER aufgezählt werden.

-M, --machine=
    Führt die Aktion auf einem lokalen Container aus. Geben Sie den Namen des Containers an, zu dem verbunden werden soll.

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

RÜCKGABEWERT

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

DIE UDEV-DATENBANK

Falls --discover verwandt wird, berücksichtigt systemd-mount eine Reihe von zusätzlichen Udev-Eigenschaften von Blockgeräten:

SYSTEMD_MOUNT_OPTIONS=
    Die zu verwendenden Einhängeoptionen, falls --options= nicht verwandt wird.

SYSTEMD_MOUNT_WHERE=
    Der Dateisystempfad, an dem der Einhängepunkt zu platzieren ist, statt des automatisch erstellten.

SIEHE AUCH

systemd(1), mount(8), systemctl(1), systemd.unit(5), systemd.mount(5), systemd.automount(5), systemd-run(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.